=== debian/changelog ===
zeroinstall-injector (2.10-2) unstable; urgency=medium

  * Conflict with 0install-core < 2.10 to avoid upgrade failure.
    Fixes #805283.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 16 Nov 2015 11:49:40 +0000

zeroinstall-injector (2.10-1) unstable; urgency=medium

  * New upstream release. Closes: #804431 (build failure).
  * Moved .desktop file from 0install-core to 0install, as it requires
    the GUI.

 -- Thomas Leonard <talex5@gmail.com>  Fri, 13 Nov 2015 09:45:10 +0000
