=== debian/control ===
Source: zeroinstall-injector
Section: admin
Priority: extra
Maintainer: Thomas Leonard <talex5@gmail.com>
Build-Depends: debhelper (>= 9), ocaml-nox, dh-ocaml, ocaml-findlib, libyojson-ocaml-dev, libxmlm-ocaml-dev, camlp4-extra, gettext, liblwt-ocaml-dev, libounit-ocaml-dev, libextlib-ocaml-dev, libcurl-ocaml-dev, libssl-ocaml-dev, libobus-ocaml-dev, liblablgtk2-ocaml-dev, liblwt-glib-ocaml-dev, unzip, binutils
Standards-Version: 3.9.6
Homepage: http://0install.net/
Vcs-Browser: https://github.com/0install/0install-debian
Vcs-Git: https://github.com/0install/0install-debian.git

Package: 0install
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 0install-core (>= ${source:Version}), libgtk2.0-0
Replaces: 0install-core (<< 2.10-1)
Breaks: 0install-core (<< 2.10-1)
Description: cross-distribution packaging system
 Zero Install is a decentralised cross-distribution software installation
 system available under the LGPL. It allows software developers to publish
 programs directly from their own web-sites, while supporting features familiar
 from centralised distribution repositories such as shared libraries, automatic
 updates and digital signatures. It is intended to complement, rather than
 replace, the operating system's package management. 0install packages never
 interfere with those provided by the distribution.
 .
 This package includes the GTK GUI for 0install. If you have a headless system,
 install just the 0install-core package to avoid pulling in any GUI
 dependencies.

Package: 0install-core
Architecture: any
Depends: ${misc:Depends}, gnupg, bzip2, adduser, xdg-utils, ca-certificates, ${shlibs:Depends}
Recommends: unzip, lzma, packagekit | python3-aptdaemon.pkcompat
Suggests: cabextract, rpm2cpio, 0install
Provides: zeroinstall-injector
Replaces: zeroinstall-injector (<< 2.3.3-2)
Breaks: zeroinstall-injector (<< 2.3.3-2)
Description: cross-distribution packaging system (non-GUI parts)
 Zero Install is a decentralised cross-distribution software installation
 system available under the LGPL. It allows software developers to publish
 programs directly from their own web-sites, while supporting features familiar
 from centralised distribution repositories such as shared libraries, automatic
 updates and digital signatures. It is intended to complement, rather than
 replace, the operating system's package management. 0install packages never
 interfere with those provided by the distribution.

Package: zeroinstall-injector
Architecture: all
Section: oldlibs
Pre-Depends: dpkg (>= 1.17.5)
Depends: ${misc:Depends}, 0install, 0install-core
Description: transitional package for 0install
 This is a transitional package for 0install, and can be safely removed
 after the installation is complete.
 .
 Note: If you have a headless system, install just the 0install-core package to
 avoid pulling in any GUI dependencies.
