=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" http://sf.net/zero-install/0install-(\d.+)\.tar\.bz2
