=== debian/changelog ===
zeroinstall-injector (2.12-4) unstable; urgency=medium

  * Replace openssl with ocaml-sha for hash functions.
    This fixes a build problem on Ubuntu.

 -- Thomas Leonard <talex5@gmail.com>  Tue, 21 Mar 2017 07:54:00 +0000

zeroinstall-injector (2.12-3) unstable; urgency=medium

  * Don't recommend python3-aptdaemon.pkcompat. Closes: #848559.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 19 Mar 2017 09:28:46 +0000

zeroinstall-injector (2.12-2) unstable; urgency=medium

  * Add missing build dep on tzdata. Closes: #839511.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 02 Oct 2016 12:53:59 +0000

zeroinstall-injector (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Add missing build dep. Closes: #837226.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 25 Sep 2016 07:55:43 +0000
