=== debian/changelog ===
zeroinstall-injector (2.12.3-2) unstable; urgency=high

  * Backport fix for case-sensitive HTTP header check. Closes: #927873.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 24 Apr 2019 11:05:04 +0000

zeroinstall-injector (2.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 19 Nov 2017 15:55:15 +0000

zeroinstall-injector (2.12.2-4) unstable; urgency=medium

  * Disable tests on byte-code platforms.
    They're not currently working due to the OCaml 4.05 transition.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 29 Oct 2017 09:20:39 +0000

zeroinstall-injector (2.12.2-3) unstable; urgency=medium

  * Fix building the byte-code version.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 22 Oct 2017 14:15:56 +0000

zeroinstall-injector (2.12.2-2) unstable; urgency=medium

  * Remove work-around for old versions of Lwt.
  * Remove transitional zeroinstall-injector package. Closes: #878993.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 21 Oct 2017 10:21:44 +0000

zeroinstall-injector (2.12.2-1) unstable; urgency=medium

  * New upstream release. Closes: #870151.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 06 Aug 2017 18:06:06 +0000

zeroinstall-injector (2.12-5) unstable; urgency=medium

  * Add build-depends on ocamlbuild. Closes: #870037.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 30 Jul 2017 09:15:07 +0000
