=== debian/control ===
Source: zeroinstall-injector
Section: admin
Priority: optional
Maintainer: Thomas Leonard <talex5@gmail.com>
Build-Depends: binutils,
               cppo,
               debhelper (>= 9),
               dh-ocaml,
               gettext,
               gnupg,
               libcurl-ocaml-dev,
               liblablgtk2-ocaml-dev,
               liblwt-glib-ocaml-dev,
               liblwt-ocaml-dev (>= 2.7.0),
               libobus-ocaml-dev,
               libounit-ocaml-dev,
               libsha-ocaml-dev,
               libxmlm-ocaml-dev,
               libyojson-ocaml-dev,
               ocamlbuild,
               ocaml-findlib,
               ocaml-nox,
               tzdata,
               unzip
Standards-Version: 4.1.1
Homepage: http://0install.net/
Vcs-Browser: https://github.com/0install/0install-debian
Vcs-Git: https://github.com/0install/0install-debian.git

Package: 0install
Architecture: any
Depends: 0install-core (>= ${source:Version}),
         libgtk2.0-0,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: 0install-core (<< 2.10-1)
Breaks: 0install-core (<< 2.10-1)
Description: cross-distribution packaging system
 Zero Install is a decentralised cross-distribution software installation
 system available under the LGPL. It allows software developers to publish
 programs directly from their own web-sites, while supporting features familiar
 from centralised distribution repositories such as shared libraries, automatic
 updates and digital signatures. It is intended to complement, rather than
 replace, the operating system's package management. 0install packages never
 interfere with those provided by the distribution.
 .
 This package includes the GTK GUI for 0install. If you have a headless system,
 install just the 0install-core package to avoid pulling in any GUI
 dependencies.

Package: 0install-core
Architecture: any
Depends: adduser,
         bzip2,
         ca-certificates,
         gnupg,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lzma, packagekit, unzip
Suggests: 0install, cabextract, rpm2cpio
Provides: zeroinstall-injector
Replaces: zeroinstall-injector (<< 2.3.3-2)
Breaks: zeroinstall-injector (<< 2.3.3-2)
Description: cross-distribution packaging system (non-GUI parts)
 Zero Install is a decentralised cross-distribution software installation
 system available under the LGPL. It allows software developers to publish
 programs directly from their own web-sites, while supporting features familiar
 from centralised distribution repositories such as shared libraries, automatic
 updates and digital signatures. It is intended to complement, rather than
 replace, the operating system's package management. 0install packages never
 interfere with those provided by the distribution.
