=== debian/changelog ===
zeroinstall-injector (2.14.1-3) unstable; urgency=medium

  * Fix link error on MIPS.
    This is fixed upstream in Lwt 3.1.0.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 01 Sep 2019 14:41:02 +0000

zeroinstall-injector (2.14.1-2) unstable; urgency=medium

  * Fix camlp4 on MIPS.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 31 Aug 2019 10:49:24 +0000

zeroinstall-injector (2.14.1-1) unstable; urgency=high

  * New upstream release.
  * Urgent because the package got suddenly removed from testing,
    due to removal of the obus package it depends on.
  * Closes: #934340.

 -- Thomas Leonard <talex5@gmail.com>  Sat, 24 Aug 2019 14:01:32 +0000
