## zeroinstall-injector 2.15

=== debian/changelog ===
zeroinstall-injector (2.15-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Wed, 18 Dec 2019 14:51:21 +0000
