=== debian/changelog ===
zeroinstall-injector (2.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 23 Feb 2020 14:44:47 +0000
