=== debian/control ===
--- 
+++ 
@@ -15,6 +15,9 @@
                libsha-ocaml-dev,
                libxmlm-ocaml-dev,
                libyojson-ocaml-dev,
+               libppxlib-ocaml-dev,
+               liblwt-log-ocaml-dev,
+               menhir,
                ocaml-dune,
                ocaml-findlib,
                ocaml-nox,
