## zeroinstall-injector 2.16

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 OS = $(shell uname -s)
 MACHINE = $(shell uname -m)
-VERSION = $(shell sed -n 's/let version = "\(.*\)"/\1/p' ${SRCDIR}/ocaml/zeroinstall/about.ml)
+VERSION = $(shell sed -n 's/let version = "\(.*\)"/\1/p' ${SRCDIR}/src/zeroinstall/about.ml)
 
 all:
 	dune build --root=. --profile=${PROFILE} @install
@@ -47,15 +47,15 @@
 	install -d "${DISTDIR}/files/gui_gtk"
 	install -d "${DISTDIR}/files/share"
 	(cd "${SRCDIR}" && cp ${DOCS} "${DISTDIR}/")
-	-install _build/install/default/lib/0install/gui_gtk.cma "${DISTDIR}/files/gui_gtk/"
-	-install _build/install/default/lib/0install/gui_gtk.cmxs "${DISTDIR}/files/gui_gtk/"
+	-install _build/install/default/lib/0install-gtk/gui_gtk.cma "${DISTDIR}/files/gui_gtk/"
+	-install _build/install/default/lib/0install-gtk/gui_gtk.cmxs "${DISTDIR}/files/gui_gtk/"
 	install _build/install/default/bin/0install "${DISTDIR}/files/0install"
 	ln -f "${DISTDIR}/files/0install" "${DISTDIR}/files/0launch"
 	ln -f "${DISTDIR}/files/0install" "${DISTDIR}/files/0store"
 	ln -f "${DISTDIR}/files/0install" "${DISTDIR}/files/0store-secure-add"
 	ln -f "${DISTDIR}/files/0install" "${DISTDIR}/files/0desktop"
 	ln -f "${DISTDIR}/files/0install" "${DISTDIR}/files/0alias"
-	(cd "${SRCDIR}/ocaml" && cp ${MANPAGES} "${DISTDIR}/files")
+	(cd "${SRCDIR}/src" && cp ${MANPAGES} "${DISTDIR}/files")
 	install "${SRCDIR}/install.sh.src" "${DISTDIR}/install.sh"
 	(cd "${SRCDIR}" && cp -r share/0install.net share/applications share/metainfo share/bash-completion share/fish share/icons share/zsh "${DISTDIR}/files/share/")
 	install -d "${DISTDIR}/0install"
