=== vendor/lwt_glib-1.1.1/Makefile ===
.PHONY : build
build :
	dune build

.PHONY : clean
clean :
	dune clean
