=== debian/changelog ===
zeroinstall-injector (2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 02 Apr 2020 19:55:56 +0000
