=== debian/control ===
--- 
+++ 
@@ -3,13 +3,11 @@
 Priority: optional
 Maintainer: Thomas Leonard <talex5@gmail.com>
 Build-Depends: binutils,
-               cppo,
                debhelper (>= 9),
                dh-ocaml,
-               gettext,
                gnupg,
                libcurl-ocaml-dev,
-               liblablgtk2-ocaml-dev,
+               liblablgtk3-ocaml-dev,
                liblwt-ocaml-dev (>= 2.7.0),
                libounit-ocaml-dev,
                libsha-ocaml-dev,
@@ -17,7 +15,6 @@
                libyojson-ocaml-dev,
                libppxlib-ocaml-dev,
                liblwt-log-ocaml-dev,
-               menhir,
                ocaml-dune,
                ocaml-findlib,
                ocaml-nox,
@@ -32,7 +29,7 @@
 Package: 0install
 Architecture: any
 Depends: 0install-core (>= ${source:Version}),
-         libgtk2.0-0,
+         libgtk-3-0,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: 0install-core (<< 2.10-1)
