## zeroinstall-injector 2.18

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 # Using PROFILE=dev makes warnings fatal and makes the build faster by doing fewer optimisations
 PROFILE ?= release
+
+# Only build the 0install-gtk GUI package if lablgtk3 is available.
+PACKAGES = 0install,0install-solver$(shell ocamlfind query -format ,0install-gtk lablgtk3 2> /dev/null)
 
 # There are several things you might want to do:
 #
@@ -41,7 +44,7 @@
 VERSION = $(shell sed -n 's/let version = "\(.*\)"/\1/p' ${SRCDIR}/src/zeroinstall/about.ml)
 
 all:
-	dune build --root=. --profile=${PROFILE} @install
+	dune build --root=. --profile=${PROFILE} --only-packages=${PACKAGES} @install
 	install -d "${DISTDIR}"
 	install -d "${DISTDIR}/files"
 	install -d "${DISTDIR}/files/gui_gtk"
@@ -62,10 +65,10 @@
 	[ -f "${DISTDIR}/0install/build-environment.xml" ] || sed 's/@ARCH@/${OS}-${MACHINE}/;s/@VERSION@/${VERSION}/' "${SRCDIR}/binary-feed.xml.in" > "${DISTDIR}/0install/feed.xml"
 
 test:
-	dune runtest --root=. --profile=${PROFILE}
+	dune runtest --root=. --profile=${PROFILE} --only-packages=${PACKAGES}
 
 doc:
-	dune build --root=. --profile=${PROFILE} @doc
+	dune build --root=. --profile=${PROFILE} --only-packages=${PACKAGES} @doc
 
 install: install_local
 
@@ -92,4 +95,4 @@
 	docker build -f $< ./static -t 0install-test
 	docker run --rm -it -v "${SRCDIR}/static:/mnt:ro" 0install-test /mnt/run-tests.sh
 
-static-test: static-test-debian-10 static-test-fedora-30
+static-test: static-test-debian-11 static-test-fedora-36
