=== debian/changelog ===
zeroinstall-injector (2.18-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:47:59 +1100

zeroinstall-injector (2.18-2ubuntu1) noble; urgency=medium

  * Don't hard-code shared library dependency. ${shlibs:Depends} is
    working these days.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 16:16:34 +0100

zeroinstall-injector (2.18-2build5) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:17:33 +0000

zeroinstall-injector (2.18-2build4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:37:08 +0000

zeroinstall-injector (2.18-2build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:21:33 +0000

zeroinstall-injector (2.18-2build2) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Dec 2022 21:29:20 +0100

zeroinstall-injector (2.18-2build1) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Nov 2022 08:39:26 +0100

zeroinstall-injector (2.18-2) unstable; urgency=medium

  * Fix build on bytecode-only platforms. Closes: #1022235.

 -- Thomas Leonard <talex5@gmail.com>  Mon, 24 Oct 2022 13:25:32 +0000

zeroinstall-injector (2.18-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Leonard <talex5@gmail.com>  Sun, 21 Aug 2022 12:25:23 +0000

zeroinstall-injector (2.16-2) unstable; urgency=medium

  * Make compiler warnings non-fatal. Closes: #1002272, #1002635.

 -- Thomas Leonard <talex5@gmail.com>  Thu, 30 Dec 2021 12:01:23 +0000
