=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: zeroinstall-injector
 Section: admin
 Priority: optional
-Maintainer: Thomas Leonard <talex5@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Leonard <talex5@gmail.com>
 Build-Depends: binutils,
-               debhelper (>= 9),
+               debhelper (>= 13),
+               debhelper-compat (= 13),
                dh-ocaml,
                gnupg,
                libcurl-ocaml-dev,
@@ -21,7 +23,7 @@
                ocamlbuild,
                tzdata,
                unzip
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Homepage: http://0install.net/
 Vcs-Browser: https://github.com/0install/0install-debian
 Vcs-Git: https://github.com/0install/0install-debian.git
@@ -29,7 +31,6 @@
 Package: 0install
 Architecture: any
 Depends: 0install-core (>= ${source:Version}),
-         libgtk-3-0,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: 0install-core (<< 2.10-1)
